@echo off
echo ------------------------------------------------------------
echo         SVP HD TEST
echo  Version:00-00-01
echo  Function:(1)Execute SCANDISK & Display Result
echo           (2)Try to fix is choicable.
rem   Usage:(1)\DKC200\OTHERS\SVPHDDG          (Check before Fix)
rem         (2)\DKC200\OTHERS\SVPHDDG  FIX     (Fix)
rem   History:1995.06.13 New Created.00-00-01
rem   History:1995.11.09 SVP Micro FC(pcchnge.bat).00-00-02
rem   History:1996.08.27 PATH add (c:\dkc200\mp\pc) P#M50
rem   History:1996.12.12 HDD Stand by mode P#R15
rem   History:1999.07.07 for RAID400 S.Takayama
rem   History:2000.08.18 for Jpanese ScanDisk S.Takayama
echo Copyright (C) 1995-1996, Hitachi, Ltd.
echo ------------------------------------------------------------
echo SVP HD TEST:START
if %1''=='' goto START
if %1''==FIX'' goto RCV010
if %1''==fix'' goto RCV010
set SVPERR=
echo SVP HD TEST:COMMAND LINE ERROR
goto CONT
:START
set SVPERR=
 cd \dos
 scandisk c: /checkonly /nosummary
goto RSLT
:RCV
choice /c:yn /n Do you want to try to fix SVP HD.[y,n]
if ERRORLEVEL 2 goto STOP
if ERRORLEVEL 1 goto RCV010
goto RCV
:RCV010
set SVPERR=FIX
echo SVP HD TEST:FIX START
 cd \dos
 type c:\dkc200\mp\pc\yamamoto.txt
 scandisk c: /autofix /nosave /nosummary
goto RSLT
:RSLT
if ERRORLEVEL 255 goto UNRCV
if ERRORLEVEL 254 goto RCVD
if ERRORLEVEL   3 goto ABORT
if ERRORLEVEL   2 goto DOSERR
if ERRORLEVEL   1 goto SYNTAX
echo SVP HD TEST:NORMAL END
goto CONT
:UNRCV
echo SVP HD TEST:PROBLEM HAS DETECTED
goto STOP
:RCVD
echo SVP HD TEST:PROBLEM HAS FIXED
goto CONT
:ABORT
if %SVPERR%''==FIX'' goto RCV
echo SVP HD TEST:ABORTED
pause
goto CONT
:DOSERR
echo SVP HD TEST:ABNORMAL END
goto STOP
:SYNTAX
echo SVP HD TEST:SYNTAX ERROR
goto STOP
:STOP
rem ----- SVP HD FAILED -----
if %SVPERR%''=='' goto RCV
echo Please turn off SVP and replace it.
pause
goto CONT2
rem ----- SVP HD TEST END -----
:CONT
REM call c:\dkc200\others\pcchnge.bat
if not exist c:\dkc200\tmp\others\pcchnge.bat goto CONT1
copy c:\dkc200\tmp\others\pcchnge.bat c:\ > null
call c:\pcchnge.bat
del c:\pcchnge.bat
:CONT1
PATH=%path%;c:\dkc200\mp\pc
rem  c:\dkc200\others\stdby.exe 60
:CONT2
cd \
